Bug 226206 - Merge Review: ntp
Summary: Merge Review: ntp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:17 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-11 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 13:48:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:17:34 UTC
Fedora Merge Review: ntp

http://cvs.fedora.redhat.com/viewcvs/devel/ntp/
Initial Owner: mlichvar@redhat.com

Comment 1 Jiri Popelka 2009-11-25 17:24:00 UTC
YES source files match upstream:
  8c19ff62ed4f7d64f8e2aa59cb11f364  ntp-4.2.4p7.tar.gz
YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.
YES build root is correct.
YES license field matches the actual license.
YES license is open source-compatible.
YES License text included in package.
YES latest version is being packaged.
YES BuildRequires are proper.
YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.
ntp.src: W: name-repeated-in-summary NTP
ntp.src: W: strange-permission ntpdate.init 0775
ntp.src: W: strange-permission ntp.dhclient 0775
ntp.src: W: strange-permission ntpd.init 0775
ntp.src: W: %ifarch-applied-patch Patch5: ntp-4.2.4-linkfastmath.patch
ntp.x86_64: W: name-repeated-in-summary NTP
ntp.x86_64: E: non-readable /etc/ntp/crypto/pw 0600
ntp.x86_64: E: non-standard-dir-perm /etc/ntp/crypto 0750
ntp.x86_64: W: log-files-without-logrotate /var/log/ntpstats
ntp.x86_64: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/ntpd
ntpdate.x86_64: E: non-readable /etc/ntp/keys 0600
ntpdate.x86_64: W: missing-lsb-keyword Required-Stop in /etc/rc.d/init.d/ntpdate
ntpdate.x86_64: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/ntpdate
ntp-perl.x86_64: W: obsolete-not-provided ntp
5 packages and 0 specfiles checked; 3 errors, 11 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.

?? file permissions are appropriate.
see rpmlint errors

YES scriptlets must be sane.
YES code, not content.
YES large documentation files must go in a -doc subpackage.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Please look at the rpmlint errors/warnings and either fix them or confirm they are reasonable.

Comment 2 Miroslav Lichvar 2009-11-25 17:34:44 UTC
I think they are all false positives. The permissions are ok, the missing-lsb-keyword is not in the recommended fedora init script template and the obsolete in ntp-perl would be wrong.

Comment 3 Jiri Popelka 2009-11-25 17:53:26 UTC
This package is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.